@charset "UTF-8";
/* CSS Document */

.bg_ap_sky {
  background-color: var(--ap_sky);
}

.bg_ap_blue {
  background-color: var(--ap_blue);
}

.bg_in_vanilla {
  background-color: var(--in_vanilla);
}

.bg_uni_black {
  background-color: var(--uni_black);
}

.bg_line_green {
  background-color: #52b24d;
}

.kana {
  letter-spacing: 0.04em;
}

html {
  font-weight: var(--font_medium);
}

body {
  color: var(--uni_black);
}

header.common {
  z-index: 999;
  position: relative;
  justify-content: center;
}

/* designs common fixed_menu */

.fixed_menu {
  position: fixed;
  bottom: 0;
  left: 50%;
  transform: translate(-50%);
  width: min(100%, 450px);
  z-index: 20;
  opacity: 1;
  visibility: visible;
  transition:
    opacity 0.25s ease,
    visibility 0.25s ease;
}
.fixed_menu.is-hidden {
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
}

.fixed_menu ul {
  display: grid;
  gap: 3px;
  grid-template-columns: repeat(3, 1fr);
  width: min(100%, 450px);
  align-items: end;
  position: relative;
}

.fixed_menu ul::before {
  content: '';
  width: min(100%, 450px);
  aspect-ratio: 450/90;
  height: auto;
  bottom: 0;
  inset-inline: 0;
  background: #fff;
  position: absolute;
  z-index: -1;
}

.fixed_menu ul li a {
  background-color: var(--uni_green);
  aspect-ratio: 148/90;
  display: block;
  transition: aspect-ratio 0.25s cubic-bezier(0.25, 1, 0.5, 1);
}

/* hero */
main section#hero {
  width: 100%;
  max-width: 450px;
  margin-inline: auto;
  padding-bottom: 1px;
}

.hero_image {
  position: relative;
}

.hero_image h1 {
  position: absolute;
  bottom: 38px;
  left: 36px;
  width: 239px;
  height: auto;
}

.course {
  margin-block: 47px 66px;
  text-align: center;
}

.course .faculty {
  font-size: 18px;
  line-height: 1.17;
  letter-spacing: 0.12em;
}

.course .department {
  font-size: 25px;
  line-height: 1.16;
  letter-spacing: 0.13em;
  margin-top: 15px;
}

.course .field {
  font-size: 19px;
  line-height: 1;
  letter-spacing: 0.08em;
  border-top: 1px solid var(--uni_black);
  border-bottom: 1px solid var(--uni_black);
  height: 45px;
  padding: 10px 20px 13px;
  width: 300px;
  margin-inline: auto;
  margin-top: 30px;
}

.hero_sub .hero_flex {
  display: flex;
  justify-content: end;
  align-items: flex-start;
}

.hero_sub .hero_flex p.vertical {
  margin-top: 41px;
  margin-right: 62px;
  font-size: 15px;
  line-height: 2.2;
  letter-spacing: 0.17em;
}

.filling {
  margin-right: -0.1em;
  display: block;
}

.vertical_quote {
  display: inline-block;
  margin-top: -0.1em;
  vertical-align: 0.25em;
  position: relative;
  bottom: -6px;
}

.vertical_quote_end {
  display: inline-block;
  margin-top: -0.15em;
  vertical-align: -0.3em;
  position: relative;
  bottom: -4px;
}

@supports (hanging-punctuation: first) {
  .vertical_quote {
    margin-top: 0.3em;
    bottom: -0.05em;
  }
}

.hero_sub1 {
  width: min(44.87vw, 202px);
  aspect-ratio: 175 / 230;
  height: auto;
}

.hero_sub2 {
  width: min(76.92vw, 346px);
  height: auto;
  aspect-ratio: 300 / 230;
  margin: 77px auto 130px;
}

.hero_intro_wrapper {
  display: grid;
  gap: 100px;
}

.hero_intro_wrapper .hero_intro img.intro_img {
  width: 100%;
  max-width: 450px;
}

.hero_intro_wrapper .hero_intro.intro02 img.intro_img {
  width: min(72.31vw, 325px);
  aspect-ratio: 282 / 400;
  height: auto;
  margin-left: auto;
}

.hero_intro_wrapper .hero_intro.intro03 img.intro_img {
  width: min(82.05vw, 369px);
  height: auto;
  aspect-ratio: 320 / 340;
  margin-inline: auto;
}

.hero_intro_wrapper .hero_intro .intro_inner {
  width: 320px;
  margin-inline: auto;
}

.hero_intro_wrapper .hero_intro img.intro_title {
  margin-block: 61px 40px;
  margin-left: 0;
  width: 268px;
  height: auto;
  z-index: 10;
}

.hero_intro_wrapper .hero_intro.intro02 img.intro_title {
  margin-block: -124px 87px;
  width: 326px;
}

.hero_intro_wrapper .hero_intro.intro03 img.intro_title {
  margin-block: -147px -66px;
  margin-left: min(calc(25vw + 125.5px), 238px);
  width: 80px;
}

.hero_intro_wrapper .hero_intro .intro_text {
  font-size: 15px;
  line-height: 2.2;
  letter-spacing: 0.09em;
  margin-left: 0;
}

/* features */

#features .course {
  margin-block: 0px 90px;
  padding-top: 90px;
}

.features_imgs {
  width: 100%;
  max-width: 450px;
}

.two_features {
  padding-top: 1px;
}

.two_features h2 {
  line-height: 1;
  letter-spacing: 0.1em;
  position: relative;
  margin-block: 102px;
  display: block;
  width: 135px;
  margin-inline: auto;
  font-size: 24px;
  font-weight: var(--font_medium);
  line-height: 1;
  letter-spacing: 0.1em;
}

.two_features h2::before {
  content: '';
  position: absolute;
  bottom: -14px;
  left: 50%;
  transform: translate(-50%);
  width: 97%;
  height: 4px;
  background: var(--uni_black);
}

.feature_area {
  position: relative;
  width: 100%;
  max-width: 450px;
  padding-bottom: 1px;
}

.feature03 {
  padding-bottom: 1px;
}

img.features_mv {
  width: min(72.31vw, 325px);
  height: auto;
  aspect-ratio: 282 / 400;
  margin-left: 0;
}

.feature02 img.features_mv {
  width: min(82.05vw, 369px);
  aspect-ratio: 320 / 340;
  margin-inline: auto;
}

.feature03 img.features_mv {
  width: 100%;
  max-width: 450px;
  aspect-ratio: 390/400;
}

.feature01 .title_wrapper {
  position: absolute;
  width: 107px;
  top: 22px;
  right: 33px;
}

.feature02 .title_wrapper {
  margin-inline: auto;
  width: 320px;
  margin-top: -47px;
}

.feature03 .title_wrapper {
  width: 320px;
  margin-top: -137px;
  margin-inline: auto;
  display: flex;
}

.feature01 .title_wrapper img.feature_number {
  width: 107px;
  height: auto;
  aspect-ratio: 107/217;
}

.feature02 .title_wrapper img.feature_number {
  width: 255px;
  aspect-ratio: 255/100;
}

.feature03 .title_wrapper img.feature_number {
  width: 207px;
  height: 100px;
  margin-top: 89px;
}

#features .feature01 .title_wrapper h3 {
  margin-top: 31px;
  position: absolute;
  right: 2px;
  max-width: 33px;
}

#features .feature02 .title_wrapper h3 {
  margin-top: 33px;
  margin-right: auto;
  margin-left: 0;
  max-width: 267px;
}

#features .feature03 .title_wrapper h3 {
  margin-top: 0px;
  margin-right: auto;
  margin-left: 6px;
  max-width: 80px;
}

.feature_text_wrapper {
  width: 320px;
  margin-bottom: 90px;
  margin-top: 40px;
  margin-inline: auto;
}

.feature02 .feature_text_wrapper {
  margin-bottom: 80px;
}

.feature03 .feature_text_wrapper {
  margin-top: -190px;
  margin-bottom: 80px;
}

.feature_text {
  font-size: 15px;
  line-height: 2.2;
  letter-spacing: 0.1em;
}

.feature03 .feature_text_wrapper .feature_text {
  margin-left: 114px;
}

/* common acc */
.acc_wrap {
  max-width: 320px;
  margin: 0 auto;
  margin-bottom: 100px;
}

.acc {
  position: relative;
  z-index: 0;
}

.acc::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: #20a3e9;
  transform: translate(5px, 5px);
  z-index: -1;
  pointer-events: none;
}

.acc_label .label_inner {
  display: flex;
  flex-direction: column;
  align-items: center;
  background: #fff;
  font-size: 18px;
  line-height: 1.83;
  letter-spacing: 0.1em;
  text-align: center;
  padding: 20px 0;
  border: 1px solid var(--uni_black);
  width: 320px;
  height: 108px;
  margin: 0 auto;
}

.acc_label .label_inner .acc_arrow {
  width: 30px;
  height: 30px;
  margin-inline: auto;
}

.acc_label .label_inner .acc_arrow::after {
  background: url('../img/design_interior/in_acc_arrow.png') no-repeat center /
    contain;
  top: 43px;
}

.acc[open] summary .label_inner {
  border-bottom: none;
  width: 100%;
}

.acc_contents.bg_white {
  border: 1px solid var(--uni_black);
  border-top: none;
}

/* fature01 acc*/

.acc_content_wrapper {
  width: 260px;
  margin-inline: auto;
  margin-top: -5px;
}

.acc ul {
  display: grid;
  gap: 52px;
  margin-bottom: 50px;
}

.feature01 .acc ul li {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.feature01 .acc ul li::after {
  content: '';
  width: 28px;
  height: 26px;
  bottom: -38px;
  left: 35px;
  position: absolute;
  background: url('../img/design_apparel/ap_acc_arrow_sky.png') no-repeat
    center / contain;
}

.feature01 .acc ul li:last-child:after {
  width: 0;
}

.feature01 .acc ul li img {
  width: 100px;
  height: 100px;
}

.acc ul li h4 {
  margin-block: 20px;
  width: 260px;
  height: 60px;
  border: 4px solid var(--in_apricot);
  display: grid;
  place-items: center;
  font-weight: var(--font_medium);
  font-size: 18px;
  line-height: 1.5;
  letter-spacing: 0.1em;
}

.acc ul li p {
  font-size: 18px;
  line-height: 1.5;
  letter-spacing: 0.07em;
  width: 140px;
  height: 80px;
  display: grid;
  place-items: center;
  border-block: 1px solid var(--uni_black);
}

/* feature02 acc */
.feature02 .acc_content_wrapper {
  width: 270px;
  padding-top: 10px;
}

.feature02 .acc ul {
  display: flex;
  flex-wrap: wrap;
  gap: 30px 10px;
}

.feature02 .acc ul li {
  position: relative;
}

.feature02 .acc ul li img {
  height: 130px;
  width: 130px;
}

.feature02 .acc ul li p {
  text-align: center;
  margin-top: 9px;
  width: 130px;
  font-size: 18px;
  line-height: 1.5;
  letter-spacing: 0.08em;
  font-weight: var(--font_medium);
  height: auto;
  border-block: none;
}

.feature02 .acc ul li p.kana {
  letter-spacing: 0.04em;
}

.feature02 .acc ul li p.absol {
  letter-spacing: -0.05em;
  position: absolute;
  width: 154px;
  bottom: 0px;
  left: 50%;
  transform: translateX(-50%);
}

/* highlights */

#highlights .activity {
  width: 320px;
  margin-inline: auto;
}

#highlights .qualification .highlights_mv {
  width: 100%;
  max-width: 450px;
}

#highlights .activity .highlights_mv {
  width: min(82.05vw, 369px);
  height: auto;
  aspect-ratio: 320 / 340;
  margin-inline: auto;
}

#highlights .career .highlights_mv {
  width: min(72.31vw, 325px);
  height: auto;
  aspect-ratio: 282/400;
  margin-left: auto;
  margin-top: 10px;
}

#highlights .activity small {
  font-size: 10px;
  line-height: 1.8;
  letter-spacing: 0.08em;
  text-align: right;
  margin-top: 10px;
}

#highlights .title_wrapper {
  margin-inline: auto;
  width: 320px;
  margin-top: 60px;
  margin-bottom: 80px;
}

#highlights .activity .title_wrapper {
  margin-top: -118px;
  display: flex;
  justify-content: end;
}

#highlights .career .title_wrapper {
  margin-top: -72px;
}

#features #highlights .title_wrapper h3 {
  margin-top: 0;
}

#highlights .qualification .title_wrapper h3 {
  width: 270px;
  height: auto;
  aspect-ratio: 270/79;
}

#features #highlights .activity .title_wrapper h3 {
  width: 81px;
  height: auto;
  margin-left: 22px;
}

#highlights .career .title_wrapper h3 {
  width: 252px;
  height: auto;
}

#highlights .title_wrapper p {
  font-size: 15px;
  line-height: 2.2;
  letter-spacing:0.09em;
  margin-top: 40px;
}

#highlights .title_wrapper p.kana {
  letter-spacing: 0em;
}

#highlights .activity .title_wrapper p {
  margin-top: 146px;
  margin-left: -5px;
  letter-spacing: 0.07em;
}

/* highlight common acc */
#highlights .acc_content_wrapper {
  display: grid;
  gap: 40px;
  margin-bottom: 50px;
}

#highlights .acc_content_wrapper .item_title {
  height: 60px;
  width: 260px;
  display: grid;
  place-items: center;
  font-size: 18px;
  line-height: 1.5;
  letter-spacing: 0.08em;
}

#highlights .acc_content_wrapper .item_title.flame {
  background-color: #fff;
  border: 4px solid var(--ap_blue);
  padding-bottom: 1px;
}

#highlights .acc ul {
  font-weight: var(--font_regular);
  margin-bottom: 0px;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.08em;
  gap: 10px;
  padding-top: 19px;
}

/* qualification acc */
#highlights .qualification .acc ul.bg_in_vanilla {
  padding: 16px;
}

#highlights .acc ul li {
  position: relative;
  margin-left: 25px;
  letter-spacing: 0.12em;
  line-height: 1.55;
}

#highlights .acc ul li::before {
  content: '●';
  display: block;
  color: var(--ap_blue);
  top: 0;
  left: -24px;
  position: absolute;
}

#highlights .acc ul li span.kana {
  letter-spacing: -0.04em;
}

#highlights .acc ul li span.bg_white {
  width: 228px;
  padding: 10px;
  display: block;
  border-radius: 10px;
  font-size: 14px;
  line-height: 1.64;
  letter-spacing: 0.08em;
  margin-left: -25px;
  margin-top: 13px;
  margin-bottom: 10px;
}

/* activity acc */

#highlights .activity .acc_content_wrapper {
  gap: 50px;
}

#highlights .activity .acc_content_wrapper .event01 {
  position: relative;
  padding-bottom: 84px;
}

.activity .acc_content_wrapper img,
.career .acc_content_wrapper img {
  width: 260px;
  height: 220px;
  margin-bottom: 25px;
}

.activity .acc_content_wrapper p {
  line-height: 1.75;
  letter-spacing: 0.1em;
  font-weight: var(--font_regular);
  text-align: center;
}

.activity .acc_content_wrapper p.absol {
  width: 280px;
  position: absolute;
  top: 245px;
  left: 50%;
  transform: translateX(-50%);
  letter-spacing: 0.01em;
}

.activity .acc_content_wrapper p.absol .kana {
  letter-spacing: -0.06em;
}

/* career acc */

.career .acc_content_wrapper p.company {
  font-size: 20px;
  line-height: 1.4;
  letter-spacing: 0.1em;
  width: 260px;
  height: 60px;
  border-block: 1px solid var(--uni_black);
  display: grid;
  place-items: center;
}

.career .acc_content_wrapper p.comment {
  line-height: 1.75;
  letter-spacing: 0.1em;
  text-align: center;
  margin-top: 15px;
}

.career .acc_content_wrapper div.bg_in_vanilla {
  width: 260px;
  padding: 24px 20px;
}

#highlights .career .acc_content_wrapper div.bg_in_vanilla p.item_title {
  line-height: 2.06;
  letter-spacing: 0.1em;
  text-align: center;
  display: grid;
  width: 220px;
  height: 39px;
  place-items: center;
  font-size: 16px;
}

.career .acc ul {
  display: grid;
  gap: 10px;
  margin-bottom: 20px;
}

.career .acc ul li {
  line-height: 1.5;
  letter-spacing: 0.1em;
  margin-left: 24px;
}

#highlight .career .acc ul li::before {
  left: -24px;
}

.career small {
  font-size: 13px;
  line-height: 1.69;
  text-align: center;
  margin-top: 20px;
  letter-spacing: 0.06em;
}

/* oc */
#oc {
  width: 100%;
  max-width: 450px;
  position: relative;
}

#oc::before {
  content: '';
  position: absolute;
  inset: 0;
  width: 100%;
  height: auto;
  background: url('../img/design_apparel/ap_oc_bg.png') no-repeat center /
    cover;
  z-index: 0;
}

.oc_wrapper {
  width: 320px;
  margin-inline: auto;
  padding-block: 100px;
  position: relative;
  z-index: 1;
}

#oc h2 img {
  width: 289px;
  height: 112px;
  margin-bottom: 40px;
}

#oc p {
  font-size: 15px;
  line-height: 2.2;
  letter-spacing: 0.1em;
  margin-bottom: 60px;
}

#oc a.designs_oc_banner {
  display: block;
}
#oc a.designs_oc_banner .designs_oc_banner_inner {
  position: relative;
  width: 320px;
  height: 143px;
}

#oc a.designs_oc_banner img {
  width: 320px;
  height: 143px;
}

#oc a.designs_oc_banner .designs_oc_banner_inner::after {
  content: '';
  inset: 0;
  position: absolute;
  width: 0px;
  background: url('../img/design_interior/in_oc_banner_hover.png') no-repeat
    center / contain;
}

/* hint */
#hint {
  background: #dedede;
  margin-top: -1px;
}

#hint .hint_mv {
  width: 100%;
  max-width: 450px;
  height: auto;
  aspect-ratio: 390/330;
}

.hint_inner {
  width: 320px;
  margin-inline: auto;
  padding-bottom: 100px;
  margin-top: -23px;
}

#hint h2 img {
  width: 291px;
  height: 112px;
}

#hint p {
  margin-block: 30px 50px;
  font-size: 15px;
  line-height: 2.2;
  letter-spacing: 0.1em;
}

.hint_links {
  display: grid;
  gap: 30px;
}

.hint_links a {
  width: 320px;
  height: 70px;
  display: grid;
  place-items: center;
  font-size: 18px;
  line-height: 1.6;
  letter-spacing: 0.1em;
  font-weight: var(--font_regular);
}

@media (min-width: 451px) {
  .layout_center {
    border-right: 1px solid var(--id_black);
    border-left: 1px solid var(--id_black);
    overflow: hidden;
  }
}

@media (min-width: 1120px) {
  header.common {
    position: fixed;
    z-index: 999;
    background: transparent;
  }
}

@media (hover: hover) and (pointer: fine) {
  .acc:not([open]) .acc_label:hover .acc_arrow::after {
    animation: fadeSlide 1.2s ease-in-out infinite;
  }

  @keyframes fadeSlide {
    0% {
      transform: translateX(-50%) translateY(-10px);
      opacity: 0;
    }
    35% {
      transform: translateX(-50%) translateY(0);
      opacity: 1;
    }
    65% {
      transform: translateX(-50%) translateY(0);
      opacity: 1;
    }
    100% {
      transform: translateX(-50%) translateY(10px);
      opacity: 0;
    }
  }

  #oc a.designs_oc_banner:hover {
    opacity: 1;
  }

  #oc a.designs_oc_banner:hover .designs_oc_banner_inner::after {
    width: 320px;
  }

  .fixed_menu ul li a:hover {
    aspect-ratio: 148 / 100;
    opacity: 1;
  }
}
